; ====================================================;
;                                                     ;
;      ol32.inc for EC v2 Fasm classic projects       ;
;                   (version 1.0.2)                   ;
;                                                     ;
;         Copyright  Ramon Sala - 2018-2020          ;
;                                                     ;
; ====================================================;

if ~defined OLE32_INC
define OLE32_INC 1
E_DRAW                                                  equ     VIEW_E_DRAW

OLEIVERB_PRIMARY                                        equ     0
OLEIVERB_SHOW                                           equ     (-1)
OLEIVERB_OPEN                                           equ     (-2)
OLEIVERB_HIDE                                           equ     (-3)
OLEIVERB_UIACTIVATE                                     equ     (-4)
OLEIVERB_INPLACEACTIVATE                                equ     (-5)
OLEIVERB_DISCARDUNDOSTATE                               equ     (-6)

EMBDHLP_INPROC_HANDLER                                  equ     00000000H
EMBDHLP_INPROC_SERVER                                   equ     00000001H
EMBDHLP_CREATENOW                                       equ     00000000H
EMBDHLP_DELAYCREATE                                     equ     00010000H

OLECREATE_LEAVERUNNING                                  equ     00000001H

COINIT_MULTITHREADED                                    equ     0
COINIT_APARTMENTTHREADED                                equ     2
COINIT_DISABLE_OLE1DDE                                  equ     4
COINIT_SPEED_OVER_MEMORY                                equ     8

;======================================== Structures ======================================;
struct DRAG_FLAVORINFO
    cfFormat    dd ?
    FlavorFlags dd ?
    fAddData    dd ?
    reserved    dd ?
ends

struct OleMBarRec
    reserved dd ?
ends

struct OLESTREAMVTBL
    Get    xptr ?
    Put    xptr ?
ends

struct OLESTREAM
    lpstbl xptr ?
ends

;======================================== Functions =======================================;
if defined APP_WIN64
    import ole32,\
    BindMoniker,'BindMoniker',\
    CheckInitDde,'CheckInitDde',\
    CleanROTForApartment,'CleanROTForApartment',\
    ClipboardProcessUninitialize,'ClipboardProcessUninitialize',\
    CLIPFORMAT_UserFree,'CLIPFORMAT_UserFree',\
    CLIPFORMAT_UserFree64,'CLIPFORMAT_UserFree64',\
    CLIPFORMAT_UserFreeExt,'CLIPFORMAT_UserFreeExt',\
    CLIPFORMAT_UserMarshal,'CLIPFORMAT_UserMarshal',\
    CLIPFORMAT_UserMarshal64,'CLIPFORMAT_UserMarshal64',\
    CLIPFORMAT_UserMarshalExt,'CLIPFORMAT_UserMarshalExt',\
    CLIPFORMAT_UserSize,'CLIPFORMAT_UserSize',\
    CLIPFORMAT_UserSize64,'CLIPFORMAT_UserSize64',\
    CLIPFORMAT_UserSizeExt,'CLIPFORMAT_UserSizeExt',\
    CLIPFORMAT_UserUnmarshal,'CLIPFORMAT_UserUnmarshal',\
    CLIPFORMAT_UserUnmarshal64,'CLIPFORMAT_UserUnmarshal64',\
    CLIPFORMAT_UserUnmarshalExt,'CLIPFORMAT_UserUnmarshalExt',\
    CLSIDFromOle1Class,'CLSIDFromOle1Class',\
    CLSIDFromProgID,'CLSIDFromProgID',\
    CLSIDFromProgIDEx,'CLSIDFromProgIDEx',\
    CLSIDFromString,'CLSIDFromString',\
    CoAddRefServerProcess,'CoAddRefServerProcess',\
    CoAicGetTokenForCOM,'CoAicGetTokenForCOM',\
    CoAllowSetForegroundWindow,'CoAllowSetForegroundWindow',\
    CoAllowUnmarshalerCLSID,'CoAllowUnmarshalerCLSID',\
    CoBuildVersion,'CoBuildVersion',\
    CoCancelCall,'CoCancelCall',\
    CoCheckElevationEnabled,'CoCheckElevationEnabled',\
    CoCopyProxy,'CoCopyProxy',\
    CoCreateFreeThreadedMarshaler,'CoCreateFreeThreadedMarshaler',\
    CoCreateGuid,'CoCreateGuid',\
    CoCreateInstance,'CoCreateInstance',\
    CoCreateInstanceEx,'CoCreateInstanceEx',\
    CoCreateInstanceFromApp,'CoCreateInstanceFromApp',\
    CoCreateObjectInContext,'CoCreateObjectInContext',\
    CoDeactivateObject,'CoDeactivateObject',\
    CoDecodeProxy,'CoDecodeProxy',\
    CoDecrementMTAUsage,'CoDecrementMTAUsage',\
    CoDisableCallCancellation,'CoDisableCallCancellation',\
    CoDisconnectContext,'CoDisconnectContext',\
    CoDisconnectObject,'CoDisconnectObject',\
    CoDosDateTimeToFileTime,'CoDosDateTimeToFileTime',\
    CoEnableCallCancellation,'CoEnableCallCancellation',\
    CoFileTimeNow,'CoFileTimeNow',\
    CoFileTimeToDosDateTime,'CoFileTimeToDosDateTime',\
    CoFreeAllLibraries,'CoFreeAllLibraries',\
    CoFreeLibrary,'CoFreeLibrary',\
    CoFreeUnusedLibraries,'CoFreeUnusedLibraries',\
    CoFreeUnusedLibrariesEx,'CoFreeUnusedLibrariesEx',\
    CoGetActivationState,'CoGetActivationState',\
    CoGetApartmentID,'CoGetApartmentID',\
    CoGetApartmentType,'CoGetApartmentType',\
    CoGetCallContext,'CoGetCallContext',\
    CoGetCallerTID,'CoGetCallerTID',\
    CoGetCallState,'CoGetCallState',\
    CoGetCancelObject,'CoGetCancelObject',\
    CoGetClassObject,'CoGetClassObject',\
    CoGetClassVersion,'CoGetClassVersion',\
    CoGetComCatalog,'CoGetComCatalog',\
    CoGetContextToken,'CoGetContextToken',\
    CoGetCurrentLogicalThreadId,'CoGetCurrentLogicalThreadId',\
    CoGetCurrentProcess,'CoGetCurrentProcess',\
    CoGetDefaultContext,'CoGetDefaultContext',\
    CoGetInstanceFromFile,'CoGetInstanceFromFile',\
    CoGetInstanceFromIStorage,'CoGetInstanceFromIStorage',\
    CoGetInterceptor,'CoGetInterceptor',\
    CoGetInterceptorForOle32,'CoGetInterceptorForOle32',\
    CoGetInterceptorFromTypeInfo,'CoGetInterceptorFromTypeInfo',\
    CoGetInterfaceAndReleaseStream,'CoGetInterfaceAndReleaseStream',\
    CoGetMalloc,'CoGetMalloc',\
    CoGetMarshalSizeMax,'CoGetMarshalSizeMax',\
    CoGetModuleType,'CoGetModuleType',\
    CoGetObject,'CoGetObject',\
    CoGetObjectContext,'CoGetObjectContext',\
    CoGetProcessIdentifier,'CoGetProcessIdentifier',\
    CoGetPSClsid,'CoGetPSClsid',\
    CoGetStandardMarshal,'CoGetStandardMarshal',\
    CoGetState,'CoGetState',\
    CoGetStdMarshalEx,'CoGetStdMarshalEx',\
    CoGetSystemSecurityPermissions,'CoGetSystemSecurityPermissions',\
    CoGetSystemWow64DirectoryW,'CoGetSystemWow64DirectoryW',\
    CoGetTreatAsClass,'CoGetTreatAsClass',\
    CoHandlePriorityEventsFromMessagePump,'CoHandlePriorityEventsFromMessagePump',\
    CoImpersonateClient,'CoImpersonateClient',\
    CoIncrementMTAUsage,'CoIncrementMTAUsage',\
    CoInitialize,'CoInitialize',\
    CoInitializeEx,'CoInitializeEx',\
    CoInitializeSecurity,'CoInitializeSecurity',\
    CoInitializeWOW,'CoInitializeWOW',\
    CoInstall,'CoInstall',\
    CoInvalidateRemoteMachineBindings,'CoInvalidateRemoteMachineBindings',\
    CoIsHandlerConnected,'CoIsHandlerConnected',\
    CoIsOle1Class,'CoIsOle1Class',\
    CoLoadLibrary,'CoLoadLibrary',\
    CoLockObjectExternal,'CoLockObjectExternal',\
    CoMarshalHresult,'CoMarshalHresult',\
    CoMarshalInterface,'CoMarshalInterface',\
    CoMarshalInterThreadInterfaceInStream,'CoMarshalInterThreadInterfaceInStream',\
    ComPs_NdrDllCanUnloadNow,'ComPs_NdrDllCanUnloadNow',\
    ComPs_NdrDllGetClassObject,'ComPs_NdrDllGetClassObject',\
    ComPs_NdrDllRegisterProxy,'ComPs_NdrDllRegisterProxy',\
    ComPs_NdrDllUnregisterProxy,'ComPs_NdrDllUnregisterProxy',\
    CoPopServiceDomain,'CoPopServiceDomain',\
    CoPushServiceDomain,'CoPushServiceDomain',\
    CoQueryAuthenticationServices,'CoQueryAuthenticationServices',\
    CoQueryClientBlanket,'CoQueryClientBlanket',\
    CoQueryProxyBlanket,'CoQueryProxyBlanket',\
    CoQueryReleaseObject,'CoQueryReleaseObject',\
    CoReactivateObject,'CoReactivateObject',\
    CoRegisterActivationFilter,'CoRegisterActivationFilter',\
    CoRegisterChannelHook,'CoRegisterChannelHook',\
    CoRegisterClassObject,'CoRegisterClassObject',\
    CoRegisterInitializeSpy,'CoRegisterInitializeSpy',\
    CoRegisterMallocSpy,'CoRegisterMallocSpy',\
    CoRegisterMessageFilter,'CoRegisterMessageFilter',\
    CoRegisterPSClsid,'CoRegisterPSClsid',\
    CoRegisterSurrogate,'CoRegisterSurrogate',\
    CoRegisterSurrogateEx,'CoRegisterSurrogateEx',\
    CoReleaseMarshalData,'CoReleaseMarshalData',\
    CoReleaseServerProcess,'CoReleaseServerProcess',\
    CoResumeClassObjects,'CoResumeClassObjects',\
    CoRetireServer,'CoRetireServer',\
    CoRevertToSelf,'CoRevertToSelf',\
    CoRevokeClassObject,'CoRevokeClassObject',\
    CoRevokeInitializeSpy,'CoRevokeInitializeSpy',\
    CoRevokeMallocSpy,'CoRevokeMallocSpy',\
    CoSetCancelObject,'CoSetCancelObject',\
    CoSetMessageDispatcher,'CoSetMessageDispatcher',\
    CoSetProxyBlanket,'CoSetProxyBlanket',\
    CoSetState,'CoSetState',\
    CoSuspendClassObjects,'CoSuspendClassObjects',\
    CoSwitchCallContext,'CoSwitchCallContext',\
    CoTaskMemAlloc,'CoTaskMemAlloc',\
    CoTaskMemFree,'CoTaskMemFree',\
    CoTaskMemRealloc,'CoTaskMemRealloc',\
    CoTestCancel,'CoTestCancel',\
    CoTreatAsClass,'CoTreatAsClass',\
    CoUninitialize,'CoUninitialize',\
    CoUnloadingWOW,'CoUnloadingWOW',\
    CoUnmarshalHresult,'CoUnmarshalHresult',\
    CoUnmarshalInterface,'CoUnmarshalInterface',\
    CoVrfCheckThreadState,'CoVrfCheckThreadState',\
    CoVrfGetThreadState,'CoVrfGetThreadState',\
    CoVrfReleaseThreadState,'CoVrfReleaseThreadState',\
    CoWaitForMultipleHandles,'CoWaitForMultipleHandles',\
    CoWaitForMultipleObjects,'CoWaitForMultipleObjects',\
    CreateAntiMoniker,'CreateAntiMoniker',\
    CreateBindCtx,'CreateBindCtx',\
    CreateClassMoniker,'CreateClassMoniker',\
    CreateDataAdviseHolder,'CreateDataAdviseHolder',\
    CreateDataCache,'CreateDataCache',\
    CreateFileMoniker,'CreateFileMoniker',\
    CreateGenericComposite,'CreateGenericComposite',\
    CreateILockBytesOnHGlobal,'CreateILockBytesOnHGlobal',\
    CreateItemMoniker,'CreateItemMoniker',\
    CreateObjrefMoniker,'CreateObjrefMoniker',\
    CreateOleAdviseHolder,'CreateOleAdviseHolder',\
    CreatePointerMoniker,'CreatePointerMoniker',\
    CreateStdProgressIndicator,'CreateStdProgressIndicator',\
    CreateStreamOnHGlobal,'CreateStreamOnHGlobal',\
    CStdAsyncStubBuffer_AddRef,'CStdAsyncStubBuffer_AddRef',\
    CStdAsyncStubBuffer_Connect,'CStdAsyncStubBuffer_Connect',\
    CStdAsyncStubBuffer_Disconnect,'CStdAsyncStubBuffer_Disconnect',\
    CStdAsyncStubBuffer_Invoke,'CStdAsyncStubBuffer_Invoke',\
    CStdAsyncStubBuffer_QueryInterface,'CStdAsyncStubBuffer_QueryInterface',\
    CStdAsyncStubBuffer_Release,'CStdAsyncStubBuffer_Release',\
    CStdAsyncStubBuffer2_Connect,'CStdAsyncStubBuffer2_Connect',\
    CStdAsyncStubBuffer2_Disconnect,'CStdAsyncStubBuffer2_Disconnect',\
    CStdAsyncStubBuffer2_Release,'CStdAsyncStubBuffer2_Release',\
    CStdStubBuffer2_Connect,'CStdStubBuffer2_Connect',\
    CStdStubBuffer2_CountRefs,'CStdStubBuffer2_CountRefs',\
    CStdStubBuffer2_Disconnect,'CStdStubBuffer2_Disconnect',\
    CStdStubBuffer2_QueryInterface,'CStdStubBuffer2_QueryInterface',\
    DcomChannelSetHResult,'DcomChannelSetHResult',\
    DdeBindToObject,'DdeBindToObject',\
    DeletePatternAndExtensionTables,'DeletePatternAndExtensionTables',\
    DestroyRunningObjectTable,'DestroyRunningObjectTable',\
    DllDebugObjectRPCHook,'DllDebugObjectRPCHook',\
    DllGetClassObject,'DllGetClassObject',\
    DllGetClassObjectWOW,'DllGetClassObjectWOW',\
    DllRegisterServer,'DllRegisterServer',\
    DoDragDrop,'DoDragDrop',\
    DragDropSetFDT,'DragDropSetFDT',\
    EnableHookObject,'EnableHookObject',\
    FindExt,'FindExt',\
    FmtIdToPropStgName,'FmtIdToPropStgName',\
    FreePropVariantArray,'FreePropVariantArray',\
    GetActiveObjectExt,'GetActiveObjectExt',\
    GetClassFile,'GetClassFile',\
    GetConvertStg,'GetConvertStg',\
    GetDocumentBitStg,'GetDocumentBitStg',\
    GetHGlobalFromILockBytes,'GetHGlobalFromILockBytes',\
    GetHGlobalFromStream,'GetHGlobalFromStream',\
    GetHookInterface,'GetHookInterface',\
    GetObjectFromRotByPath,'GetObjectFromRotByPath',\
    GetRunningObjectTable,'GetRunningObjectTable',\
    HACCEL_UserFree,'HACCEL_UserFree',\
    HACCEL_UserFree64,'HACCEL_UserFree64',\
    HACCEL_UserMarshal,'HACCEL_UserMarshal',\
    HACCEL_UserMarshal64,'HACCEL_UserMarshal64',\
    HACCEL_UserSize,'HACCEL_UserSize',\
    HACCEL_UserSize64,'HACCEL_UserSize64',\
    HACCEL_UserUnmarshal,'HACCEL_UserUnmarshal',\
    HACCEL_UserUnmarshal64,'HACCEL_UserUnmarshal64',\
    HBITMAP_UserFree,'HBITMAP_UserFree',\
    HBITMAP_UserFree64,'HBITMAP_UserFree64',\
    HBITMAP_UserMarshal,'HBITMAP_UserMarshal',\
    HBITMAP_UserMarshal64,'HBITMAP_UserMarshal64',\
    HBITMAP_UserSize,'HBITMAP_UserSize',\
    HBITMAP_UserSize64,'HBITMAP_UserSize64',\
    HBITMAP_UserUnmarshal,'HBITMAP_UserUnmarshal',\
    HBITMAP_UserUnmarshal64,'HBITMAP_UserUnmarshal64',\
    HBRUSH_UserFree,'HBRUSH_UserFree',\
    HBRUSH_UserFree64,'HBRUSH_UserFree64',\
    HBRUSH_UserMarshal,'HBRUSH_UserMarshal',\
    HBRUSH_UserMarshal64,'HBRUSH_UserMarshal64',\
    HBRUSH_UserSize,'HBRUSH_UserSize',\
    HBRUSH_UserSize64,'HBRUSH_UserSize64',\
    HBRUSH_UserUnmarshal,'HBRUSH_UserUnmarshal',\
    HBRUSH_UserUnmarshal64,'HBRUSH_UserUnmarshal64',\
    HDC_UserFree,'HDC_UserFree',\
    HDC_UserFree64,'HDC_UserFree64',\
    HDC_UserMarshal,'HDC_UserMarshal',\
    HDC_UserMarshal64,'HDC_UserMarshal64',\
    HDC_UserSize,'HDC_UserSize',\
    HDC_UserSize64,'HDC_UserSize64',\
    HDC_UserUnmarshal,'HDC_UserUnmarshal',\
    HDC_UserUnmarshal64,'HDC_UserUnmarshal64',\
    HENHMETAFILE_UserFree,'HENHMETAFILE_UserFree',\
    HENHMETAFILE_UserFree64,'HENHMETAFILE_UserFree64',\
    HENHMETAFILE_UserMarshal,'HENHMETAFILE_UserMarshal',\
    HENHMETAFILE_UserMarshal64,'HENHMETAFILE_UserMarshal64',\
    HENHMETAFILE_UserSize,'HENHMETAFILE_UserSize',\
    HENHMETAFILE_UserSize64,'HENHMETAFILE_UserSize64',\
    HENHMETAFILE_UserUnmarshal,'HENHMETAFILE_UserUnmarshal',\
    HENHMETAFILE_UserUnmarshal64,'HENHMETAFILE_UserUnmarshal64',\
    HGLOBAL_UserFree,'HGLOBAL_UserFree',\
    HGLOBAL_UserFree64,'HGLOBAL_UserFree64',\
    HGLOBAL_UserMarshal,'HGLOBAL_UserMarshal',\
    HGLOBAL_UserMarshal64,'HGLOBAL_UserMarshal64',\
    HGLOBAL_UserSize,'HGLOBAL_UserSize',\
    HGLOBAL_UserSize64,'HGLOBAL_UserSize64',\
    HGLOBAL_UserUnmarshal,'HGLOBAL_UserUnmarshal',\
    HGLOBAL_UserUnmarshal64,'HGLOBAL_UserUnmarshal64',\
    HICON_UserFree,'HICON_UserFree',\
    HICON_UserFree64,'HICON_UserFree64',\
    HICON_UserMarshal,'HICON_UserMarshal',\
    HICON_UserMarshal64,'HICON_UserMarshal64',\
    HICON_UserSize,'HICON_UserSize',\
    HICON_UserSize64,'HICON_UserSize64',\
    HICON_UserUnmarshal,'HICON_UserUnmarshal',\
    HICON_UserUnmarshal64,'HICON_UserUnmarshal64',\
    HkOleRegisterObject,'HkOleRegisterObject',\
    HMENU_UserFree,'HMENU_UserFree',\
    HMENU_UserFree64,'HMENU_UserFree64',\
    HMENU_UserMarshal,'HMENU_UserMarshal',\
    HMENU_UserMarshal64,'HMENU_UserMarshal64',\
    HMENU_UserSize,'HMENU_UserSize',\
    HMENU_UserSize64,'HMENU_UserSize64',\
    HMENU_UserUnmarshal,'HMENU_UserUnmarshal',\
    HMENU_UserUnmarshal64,'HMENU_UserUnmarshal64',\
    HMETAFILE_UserFree,'HMETAFILE_UserFree',\
    HMETAFILE_UserFree64,'HMETAFILE_UserFree64',\
    HMETAFILE_UserMarshal,'HMETAFILE_UserMarshal',\
    HMETAFILE_UserMarshal64,'HMETAFILE_UserMarshal64',\
    HMETAFILE_UserSize,'HMETAFILE_UserSize',\
    HMETAFILE_UserSize64,'HMETAFILE_UserSize64',\
    HMETAFILE_UserUnmarshal,'HMETAFILE_UserUnmarshal',\
    HMETAFILE_UserUnmarshal64,'HMETAFILE_UserUnmarshal64',\
    HMETAFILEPICT_UserFree,'HMETAFILEPICT_UserFree',\
    HMETAFILEPICT_UserFree64,'HMETAFILEPICT_UserFree64',\
    HMETAFILEPICT_UserMarshal,'HMETAFILEPICT_UserMarshal',\
    HMETAFILEPICT_UserMarshal64,'HMETAFILEPICT_UserMarshal64',\
    HMETAFILEPICT_UserSize,'HMETAFILEPICT_UserSize',\
    HMETAFILEPICT_UserSize64,'HMETAFILEPICT_UserSize64',\
    HMETAFILEPICT_UserUnmarshal,'HMETAFILEPICT_UserUnmarshal',\
    HMETAFILEPICT_UserUnmarshal64,'HMETAFILEPICT_UserUnmarshal64',\
    HMONITOR_UserFree,'HMONITOR_UserFree',\
    HMONITOR_UserFree64,'HMONITOR_UserFree64',\
    HMONITOR_UserMarshal,'HMONITOR_UserMarshal',\
    HMONITOR_UserMarshal64,'HMONITOR_UserMarshal64',\
    HMONITOR_UserSize,'HMONITOR_UserSize',\
    HMONITOR_UserSize64,'HMONITOR_UserSize64',\
    HMONITOR_UserUnmarshal,'HMONITOR_UserUnmarshal',\
    HMONITOR_UserUnmarshal64,'HMONITOR_UserUnmarshal64',\
    HPALETTE_UserFree,'HPALETTE_UserFree',\
    HPALETTE_UserFree64,'HPALETTE_UserFree64',\
    HPALETTE_UserFreeExt,'HPALETTE_UserFreeExt',\
    HPALETTE_UserMarshal,'HPALETTE_UserMarshal',\
    HPALETTE_UserMarshal64,'HPALETTE_UserMarshal64',\
    HPALETTE_UserMarshalExt,'HPALETTE_UserMarshalExt',\
    HPALETTE_UserSize,'HPALETTE_UserSize',\
    HPALETTE_UserSize64,'HPALETTE_UserSize64',\
    HPALETTE_UserSizeExt,'HPALETTE_UserSizeExt',\
    HPALETTE_UserUnmarshal,'HPALETTE_UserUnmarshal',\
    HPALETTE_UserUnmarshal64,'HPALETTE_UserUnmarshal64',\
    HPALETTE_UserUnmarshalExt,'HPALETTE_UserUnmarshalExt',\
    HRGN_UserFree,'HRGN_UserFree',\
    HRGN_UserMarshal,'HRGN_UserMarshal',\
    HRGN_UserSize,'HRGN_UserSize',\
    HRGN_UserUnmarshal,'HRGN_UserUnmarshal',\
    HWND_UserFree,'HWND_UserFree',\
    HWND_UserFree64,'HWND_UserFree64',\
    HWND_UserFree64Ext,'HWND_UserFree64Ext',\
    HWND_UserFreeExt,'HWND_UserFreeExt',\
    HWND_UserMarshal,'HWND_UserMarshal',\
    HWND_UserMarshal64,'HWND_UserMarshal64',\
    HWND_UserMarshal64Ext,'HWND_UserMarshal64Ext',\
    HWND_UserMarshalExt,'HWND_UserMarshalExt',\
    HWND_UserSize,'HWND_UserSize',\
    HWND_UserSize64,'HWND_UserSize64',\
    HWND_UserSize64Ext,'HWND_UserSize64Ext',\
    HWND_UserSizeExt,'HWND_UserSizeExt',\
    HWND_UserUnmarshal,'HWND_UserUnmarshal',\
    HWND_UserUnmarshal64,'HWND_UserUnmarshal64',\
    HWND_UserUnmarshal64Ext,'HWND_UserUnmarshal64Ext',\
    HWND_UserUnmarshalExt,'HWND_UserUnmarshalExt',\
    IIDFromString,'IIDFromString',\
    IsAccelerator,'IsAccelerator',\
    IsEqualGUID,'IsEqualGUID',\
    IsRoInitializeASTAAllowedInDesktop,'IsRoInitializeASTAAllowedInDesktop',\
    IsValidIid,'IsValidIid',\
    IsValidInterface,'IsValidInterface',\
    IsValidPtrIn,'IsValidPtrIn',\
    IsValidPtrOut,'IsValidPtrOut',\
    MkParseDisplayName,'MkParseDisplayName',\
    MonikerCommonPrefixWith,'MonikerCommonPrefixWith',\
    MonikerLoadTypeLib,'MonikerLoadTypeLib',\
    MonikerRelativePathTo,'MonikerRelativePathTo',\
    NdrOleInitializeExtension,'NdrOleInitializeExtension',\
    NdrProxyForwardingFunction10,'NdrProxyForwardingFunction10',\
    NdrProxyForwardingFunction11,'NdrProxyForwardingFunction11',\
    NdrProxyForwardingFunction12,'NdrProxyForwardingFunction12',\
    NdrProxyForwardingFunction13,'NdrProxyForwardingFunction13',\
    NdrProxyForwardingFunction14,'NdrProxyForwardingFunction14',\
    NdrProxyForwardingFunction15,'NdrProxyForwardingFunction15',\
    NdrProxyForwardingFunction16,'NdrProxyForwardingFunction16',\
    NdrProxyForwardingFunction17,'NdrProxyForwardingFunction17',\
    NdrProxyForwardingFunction18,'NdrProxyForwardingFunction18',\
    NdrProxyForwardingFunction19,'NdrProxyForwardingFunction19',\
    NdrProxyForwardingFunction20,'NdrProxyForwardingFunction20',\
    NdrProxyForwardingFunction21,'NdrProxyForwardingFunction21',\
    NdrProxyForwardingFunction22,'NdrProxyForwardingFunction22',\
    NdrProxyForwardingFunction23,'NdrProxyForwardingFunction23',\
    NdrProxyForwardingFunction24,'NdrProxyForwardingFunction24',\
    NdrProxyForwardingFunction25,'NdrProxyForwardingFunction25',\
    NdrProxyForwardingFunction26,'NdrProxyForwardingFunction26',\
    NdrProxyForwardingFunction27,'NdrProxyForwardingFunction27',\
    NdrProxyForwardingFunction28,'NdrProxyForwardingFunction28',\
    NdrProxyForwardingFunction29,'NdrProxyForwardingFunction29',\
    NdrProxyForwardingFunction3,'NdrProxyForwardingFunction3',\
    NdrProxyForwardingFunction30,'NdrProxyForwardingFunction30',\
    NdrProxyForwardingFunction31,'NdrProxyForwardingFunction31',\
    NdrProxyForwardingFunction32,'NdrProxyForwardingFunction32',\
    NdrProxyForwardingFunction4,'NdrProxyForwardingFunction4',\
    NdrProxyForwardingFunction5,'NdrProxyForwardingFunction5',\
    NdrProxyForwardingFunction6,'NdrProxyForwardingFunction6',\
    NdrProxyForwardingFunction7,'NdrProxyForwardingFunction7',\
    NdrProxyForwardingFunction8,'NdrProxyForwardingFunction8',\
    NdrProxyForwardingFunction9,'NdrProxyForwardingFunction9',\
    ObjectStublessClient10,'ObjectStublessClient10',\
    ObjectStublessClient11,'ObjectStublessClient11',\
    ObjectStublessClient12,'ObjectStublessClient12',\
    ObjectStublessClient13,'ObjectStublessClient13',\
    ObjectStublessClient14,'ObjectStublessClient14',\
    ObjectStublessClient15,'ObjectStublessClient15',\
    ObjectStublessClient16,'ObjectStublessClient16',\
    ObjectStublessClient17,'ObjectStublessClient17',\
    ObjectStublessClient18,'ObjectStublessClient18',\
    ObjectStublessClient19,'ObjectStublessClient19',\
    ObjectStublessClient20,'ObjectStublessClient20',\
    ObjectStublessClient21,'ObjectStublessClient21',\
    ObjectStublessClient22,'ObjectStublessClient22',\
    ObjectStublessClient23,'ObjectStublessClient23',\
    ObjectStublessClient24,'ObjectStublessClient24',\
    ObjectStublessClient25,'ObjectStublessClient25',\
    ObjectStublessClient26,'ObjectStublessClient26',\
    ObjectStublessClient27,'ObjectStublessClient27',\
    ObjectStublessClient28,'ObjectStublessClient28',\
    ObjectStublessClient29,'ObjectStublessClient29',\
    ObjectStublessClient3,'ObjectStublessClient3',\
    ObjectStublessClient30,'ObjectStublessClient30',\
    ObjectStublessClient31,'ObjectStublessClient31',\
    ObjectStublessClient32,'ObjectStublessClient32',\
    ObjectStublessClient4,'ObjectStublessClient4',\
    ObjectStublessClient5,'ObjectStublessClient5',\
    ObjectStublessClient6,'ObjectStublessClient6',\
    ObjectStublessClient7,'ObjectStublessClient7',\
    ObjectStublessClient8,'ObjectStublessClient8',\
    ObjectStublessClient9,'ObjectStublessClient9',\
    Ole32DllGetClassObject,'Ole32DllGetClassObject',\
    OleBuildVersion,'OleBuildVersion',\
    OleConvertIStorageToOLESTREAM,'OleConvertIStorageToOLESTREAM',\
    OleConvertIStorageToOLESTREAMEx,'OleConvertIStorageToOLESTREAMEx',\
    OleConvertOLESTREAMToIStorage,'OleConvertOLESTREAMToIStorage',\
    OleConvertOLESTREAMToIStorageEx,'OleConvertOLESTREAMToIStorageEx',\
    OleCreate,'OleCreate',\
    OleCreateDefaultHandler,'OleCreateDefaultHandler',\
    OleCreateEmbeddingHelper,'OleCreateEmbeddingHelper',\
    OleCreateEx,'OleCreateEx',\
    OleCreateFontIndirectExt,'OleCreateFontIndirectExt',\
    OleCreateFromData,'OleCreateFromData',\
    OleCreateFromDataEx,'OleCreateFromDataEx',\
    OleCreateFromFile,'OleCreateFromFile',\
    OleCreateFromFileEx,'OleCreateFromFileEx',\
    OleCreateLink,'OleCreateLink',\
    OleCreateLinkEx,'OleCreateLinkEx',\
    OleCreateLinkFromData,'OleCreateLinkFromData',\
    OleCreateLinkFromDataEx,'OleCreateLinkFromDataEx',\
    OleCreateLinkToFile,'OleCreateLinkToFile',\
    OleCreateLinkToFileEx,'OleCreateLinkToFileEx',\
    OleCreateMenuDescriptor,'OleCreateMenuDescriptor',\
    OleCreatePictureIndirectExt,'OleCreatePictureIndirectExt',\
    OleCreatePropertyFrameIndirectExt,'OleCreatePropertyFrameIndirectExt',\
    OleCreateStaticFromData,'OleCreateStaticFromData',\
    OleDestroyMenuDescriptor,'OleDestroyMenuDescriptor',\
    OleDoAutoConvert,'OleDoAutoConvert',\
    OleDraw,'OleDraw',\
    OleDuplicateData,'OleDuplicateData',\
    OleFlushClipboard,'OleFlushClipboard',\
    OleGetAutoConvert,'OleGetAutoConvert',\
    OleGetClipboard,'OleGetClipboard',\
    OleGetIconOfClass,'OleGetIconOfClass',\
    OleGetIconOfFile,'OleGetIconOfFile',\
    OleGetPackageClipboardOwner,'OleGetPackageClipboardOwner',\
    OleIconToCursorExt,'OleIconToCursorExt',\
    OleInitialize,'OleInitialize',\
    OleInitializeWOW,'OleInitializeWOW',\
    OleIsCurrentClipboard,'OleIsCurrentClipboard',\
    OleIsRunning,'OleIsRunning',\
    OleLoad,'OleLoad',\
    OleLoadFromStream,'OleLoadFromStream',\
    OleLoadPictureExt,'OleLoadPictureExt',\
    OleLoadPictureFileExt,'OleLoadPictureFileExt',\
    OleLoadPicturePathExt,'OleLoadPicturePathExt',\
    OleLockRunning,'OleLockRunning',\
    OleMetafilePictFromIconAndLabel,'OleMetafilePictFromIconAndLabel',\
    OleNoteObjectVisible,'OleNoteObjectVisible',\
    OleQueryCreateFromData,'OleQueryCreateFromData',\
    OleQueryLinkFromData,'OleQueryLinkFromData',\
    OleRegEnumFormatEtc,'OleRegEnumFormatEtc',\
    OleRegEnumVerbs,'OleRegEnumVerbs',\
    OleRegGetMiscStatus,'OleRegGetMiscStatus',\
    OleRegGetUserType,'OleRegGetUserType',\
    OleReleaseEnumVerbCache,'OleReleaseEnumVerbCache',\
    OleRun,'OleRun',\
    OleSave,'OleSave',\
    OleSavePictureFileExt,'OleSavePictureFileExt',\
    OleSaveToStream,'OleSaveToStream',\
    OleSetAutoConvert,'OleSetAutoConvert',\
    OleSetClipboard,'OleSetClipboard',\
    OleSetContainedObject,'OleSetContainedObject',\
    OleSetMenuDescriptor,'OleSetMenuDescriptor',\
    OleTranslateAccelerator,'OleTranslateAccelerator',\
    OleTranslateColorExt,'OleTranslateColorExt',\
    OleUninitialize,'OleUninitialize',\
    OpenOrCreateStream,'OpenOrCreateStream',\
    ProgIDFromCLSID,'ProgIDFromCLSID',\
    PropStgNameToFmtId,'PropStgNameToFmtId',\
    PropSysAllocString,'PropSysAllocString',\
    PropSysFreeString,'PropSysFreeString',\
    PropVariantChangeType,'PropVariantChangeType',\
    PropVariantClear,'PropVariantClear',\
    PropVariantCopy,'PropVariantCopy',\
    ReadClassStg,'ReadClassStg',\
    ReadClassStm,'ReadClassStm',\
    ReadFmtUserTypeStg,'ReadFmtUserTypeStg',\
    ReadOleStg,'ReadOleStg',\
    ReadStorageProperties,'ReadStorageProperties',\
    ReadStringStream,'ReadStringStream',\
    RegisterActiveObjectExt,'RegisterActiveObjectExt',\
    RegisterDragDrop,'RegisterDragDrop',\
    ReleaseStgMedium,'ReleaseStgMedium',\
    RevokeActiveObjectExt,'RevokeActiveObjectExt',\
    RevokeDragDrop,'RevokeDragDrop',\
    RoGetAgileReference,'RoGetAgileReference',\
    SetConvertStg,'SetConvertStg',\
    SetDocumentBitStg,'SetDocumentBitStg',\
    SetOleautModule,'SetOleautModule',\
    SetWOWThunkGlobalPtr,'SetWOWThunkGlobalPtr',\
    SNB_UserFree,'SNB_UserFree',\
    SNB_UserFree64,'SNB_UserFree64',\
    SNB_UserMarshal,'SNB_UserMarshal',\
    SNB_UserMarshal64,'SNB_UserMarshal64',\
    SNB_UserSize,'SNB_UserSize',\
    SNB_UserSize64,'SNB_UserSize64',\
    SNB_UserUnmarshal,'SNB_UserUnmarshal',\
    SNB_UserUnmarshal64,'SNB_UserUnmarshal64',\
    StdTypesGetClassObject,'StdTypesGetClassObject',\
    StdTypesRegisterServer,'StdTypesRegisterServer',\
    StgConvertPropertyToVariant,'StgConvertPropertyToVariant',\
    StgConvertVariantToProperty,'StgConvertVariantToProperty',\
    StgCreateDocfile,'StgCreateDocfile',\
    StgCreateDocfileOnILockBytes,'StgCreateDocfileOnILockBytes',\
    StgCreatePropSetStg,'StgCreatePropSetStg',\
    StgCreatePropStg,'StgCreatePropStg',\
    StgCreateStorageEx,'StgCreateStorageEx',\
    StgGetIFillLockBytesOnFile,'StgGetIFillLockBytesOnFile',\
    StgGetIFillLockBytesOnILockBytes,'StgGetIFillLockBytesOnILockBytes',\
    StgIsStorageFile,'StgIsStorageFile',\
    StgIsStorageILockBytes,'StgIsStorageILockBytes',\
    STGMEDIUM_UserFree,'STGMEDIUM_UserFree',\
    STGMEDIUM_UserFree64,'STGMEDIUM_UserFree64',\
    STGMEDIUM_UserFreeExt,'STGMEDIUM_UserFreeExt',\
    STGMEDIUM_UserMarshal,'STGMEDIUM_UserMarshal',\
    STGMEDIUM_UserMarshal64,'STGMEDIUM_UserMarshal64',\
    STGMEDIUM_UserMarshalExt,'STGMEDIUM_UserMarshalExt',\
    STGMEDIUM_UserSize,'STGMEDIUM_UserSize',\
    STGMEDIUM_UserSize64,'STGMEDIUM_UserSize64',\
    STGMEDIUM_UserSizeExt,'STGMEDIUM_UserSizeExt',\
    STGMEDIUM_UserUnmarshal,'STGMEDIUM_UserUnmarshal',\
    STGMEDIUM_UserUnmarshal64,'STGMEDIUM_UserUnmarshal64',\
    STGMEDIUM_UserUnmarshalExt,'STGMEDIUM_UserUnmarshalExt',\
    StgOpenAsyncDocfileOnIFillLockBytes,'StgOpenAsyncDocfileOnIFillLockBytes',\
    StgOpenPropStg,'StgOpenPropStg',\
    StgOpenStorage,'StgOpenStorage',\
    StgOpenStorageEx,'StgOpenStorageEx',\
    StgOpenStorageOnHandle,'StgOpenStorageOnHandle',\
    StgOpenStorageOnILockBytes,'StgOpenStorageOnILockBytes',\
    StgPropertyLengthAsVariant,'StgPropertyLengthAsVariant',\
    StgSetTimes,'StgSetTimes',\
    StringFromCLSID,'StringFromCLSID',\
    StringFromGUID2,'StringFromGUID2',\
    StringFromIID,'StringFromIID',\
    UpdateDCOMSettings,'UpdateDCOMSettings',\
    UpdateProcessTracing,'UpdateProcessTracing',\
    UtConvertDvtd16toDvtd32,'UtConvertDvtd16toDvtd32',\
    UtConvertDvtd32toDvtd16,'UtConvertDvtd32toDvtd16',\
    UtGetDvtd16Info,'UtGetDvtd16Info',\
    UtGetDvtd32Info,'UtGetDvtd32Info',\
    WdtpInterfacePointer_UserFree,'WdtpInterfacePointer_UserFree',\
    WdtpInterfacePointer_UserFree64,'WdtpInterfacePointer_UserFree64',\
    WdtpInterfacePointer_UserMarshal,'WdtpInterfacePointer_UserMarshal',\
    WdtpInterfacePointer_UserMarshal64,'WdtpInterfacePointer_UserMarshal64',\
    WdtpInterfacePointer_UserSize,'WdtpInterfacePointer_UserSize',\
    WdtpInterfacePointer_UserSize64,'WdtpInterfacePointer_UserSize64',\
    WdtpInterfacePointer_UserUnmarshal,'WdtpInterfacePointer_UserUnmarshal',\
    WdtpInterfacePointer_UserUnmarshal64,'WdtpInterfacePointer_UserUnmarshal64',\
    WriteClassStg,'WriteClassStg',\
    WriteClassStm,'WriteClassStm',\
    WriteFmtUserTypeStg,'WriteFmtUserTypeStg',\
    WriteOleStg,'WriteOleStg',\
    WriteStorageProperties,'WriteStorageProperties',\
    WriteStringStream,'WriteStringStream'
else
    import ole32,\
    BindMoniker,'BindMoniker',\
    CheckInitDde,'CheckInitDde',\
    CleanROTForApartment,'CleanROTForApartment',\
    ClipboardProcessUninitialize,'ClipboardProcessUninitialize',\
    CLIPFORMAT_UserFree,'CLIPFORMAT_UserFree',\
    CLIPFORMAT_UserFree64,'CLIPFORMAT_UserFree64',\
    CLIPFORMAT_UserFreeExt,'CLIPFORMAT_UserFreeExt',\
    CLIPFORMAT_UserMarshal,'CLIPFORMAT_UserMarshal',\
    CLIPFORMAT_UserMarshal64,'CLIPFORMAT_UserMarshal64',\
    CLIPFORMAT_UserMarshalExt,'CLIPFORMAT_UserMarshalExt',\
    CLIPFORMAT_UserSize,'CLIPFORMAT_UserSize',\
    CLIPFORMAT_UserSize64,'CLIPFORMAT_UserSize64',\
    CLIPFORMAT_UserSizeExt,'CLIPFORMAT_UserSizeExt',\
    CLIPFORMAT_UserUnmarshal,'CLIPFORMAT_UserUnmarshal',\
    CLIPFORMAT_UserUnmarshal64,'CLIPFORMAT_UserUnmarshal64',\
    CLIPFORMAT_UserUnmarshalExt,'CLIPFORMAT_UserUnmarshalExt',\
    CLSIDFromOle1Class,'CLSIDFromOle1Class',\
    CLSIDFromProgID,'CLSIDFromProgID',\
    CLSIDFromProgIDEx,'CLSIDFromProgIDEx',\
    CLSIDFromString,'CLSIDFromString',\
    CoAddRefServerProcess,'CoAddRefServerProcess',\
    CoAicGetTokenForCOM,'CoAicGetTokenForCOM',\
    CoAllowSetForegroundWindow,'CoAllowSetForegroundWindow',\
    CoAllowUnmarshalerCLSID,'CoAllowUnmarshalerCLSID',\
    CoBuildVersion,'CoBuildVersion',\
    CoCancelCall,'CoCancelCall',\
    CoCheckElevationEnabled,'CoCheckElevationEnabled',\
    CoCopyProxy,'CoCopyProxy',\
    CoCreateFreeThreadedMarshaler,'CoCreateFreeThreadedMarshaler',\
    CoCreateGuid,'CoCreateGuid',\
    CoCreateInstance,'CoCreateInstance',\
    CoCreateInstanceEx,'CoCreateInstanceEx',\
    CoCreateInstanceFromApp,'CoCreateInstanceFromApp',\
    CoCreateObjectInContext,'CoCreateObjectInContext',\
    CoDeactivateObject,'CoDeactivateObject',\
    CoDecodeProxy,'CoDecodeProxy',\
    CoDecrementMTAUsage,'CoDecrementMTAUsage',\
    CoDisableCallCancellation,'CoDisableCallCancellation',\
    CoDisconnectContext,'CoDisconnectContext',\
    CoDisconnectObject,'CoDisconnectObject',\
    CoDosDateTimeToFileTime,'CoDosDateTimeToFileTime',\
    CoEnableCallCancellation,'CoEnableCallCancellation',\
    CoFileTimeNow,'CoFileTimeNow',\
    CoFileTimeToDosDateTime,'CoFileTimeToDosDateTime',\
    CoFreeAllLibraries,'CoFreeAllLibraries',\
    CoFreeLibrary,'CoFreeLibrary',\
    CoFreeUnusedLibraries,'CoFreeUnusedLibraries',\
    CoFreeUnusedLibrariesEx,'CoFreeUnusedLibrariesEx',\
    CoGetActivationState,'CoGetActivationState',\
    CoGetApartmentID,'CoGetApartmentID',\
    CoGetApartmentType,'CoGetApartmentType',\
    CoGetCallContext,'CoGetCallContext',\
    CoGetCallerTID,'CoGetCallerTID',\
    CoGetCallState,'CoGetCallState',\
    CoGetCancelObject,'CoGetCancelObject',\
    CoGetClassObject,'CoGetClassObject',\
    CoGetClassVersion,'CoGetClassVersion',\
    CoGetComCatalog,'CoGetComCatalog',\
    CoGetContextToken,'CoGetContextToken',\
    CoGetCurrentLogicalThreadId,'CoGetCurrentLogicalThreadId',\
    CoGetCurrentProcess,'CoGetCurrentProcess',\
    CoGetDefaultContext,'CoGetDefaultContext',\
    CoGetInstanceFromFile,'CoGetInstanceFromFile',\
    CoGetInstanceFromIStorage,'CoGetInstanceFromIStorage',\
    CoGetInterceptor,'CoGetInterceptor',\
    CoGetInterceptorForOle32,'CoGetInterceptorForOle32',\
    CoGetInterceptorFromTypeInfo,'CoGetInterceptorFromTypeInfo',\
    CoGetInterfaceAndReleaseStream,'CoGetInterfaceAndReleaseStream',\
    CoGetMalloc,'CoGetMalloc',\
    CoGetMarshalSizeMax,'CoGetMarshalSizeMax',\
    CoGetModuleType,'CoGetModuleType',\
    CoGetObject,'CoGetObject',\
    CoGetObjectContext,'CoGetObjectContext',\
    CoGetProcessIdentifier,'CoGetProcessIdentifier',\
    CoGetPSClsid,'CoGetPSClsid',\
    CoGetStandardMarshal,'CoGetStandardMarshal',\
    CoGetState,'CoGetState',\
    CoGetStdMarshalEx,'CoGetStdMarshalEx',\
    CoGetSystemSecurityPermissions,'CoGetSystemSecurityPermissions',\
    CoGetSystemWow64DirectoryW,'CoGetSystemWow64DirectoryW',\
    CoGetTreatAsClass,'CoGetTreatAsClass',\
    CoHandlePriorityEventsFromMessagePump,'CoHandlePriorityEventsFromMessagePump',\
    CoImpersonateClient,'CoImpersonateClient',\
    CoIncrementMTAUsage,'CoIncrementMTAUsage',\
    CoInitialize,'CoInitialize',\
    CoInitializeEx,'CoInitializeEx',\
    CoInitializeSecurity,'CoInitializeSecurity',\
    CoInitializeWOW,'CoInitializeWOW',\
    CoInstall,'CoInstall',\
    CoInvalidateRemoteMachineBindings,'CoInvalidateRemoteMachineBindings',\
    CoIsHandlerConnected,'CoIsHandlerConnected',\
    CoIsOle1Class,'CoIsOle1Class',\
    CoLoadLibrary,'CoLoadLibrary',\
    CoLockObjectExternal,'CoLockObjectExternal',\
    CoMarshalHresult,'CoMarshalHresult',\
    CoMarshalInterface,'CoMarshalInterface',\
    CoMarshalInterThreadInterfaceInStream,'CoMarshalInterThreadInterfaceInStream',\
    ComPs_NdrDllCanUnloadNow,'ComPs_NdrDllCanUnloadNow',\
    ComPs_NdrDllGetClassObject,'ComPs_NdrDllGetClassObject',\
    ComPs_NdrDllRegisterProxy,'ComPs_NdrDllRegisterProxy',\
    ComPs_NdrDllUnregisterProxy,'ComPs_NdrDllUnregisterProxy',\
    CoPopServiceDomain,'CoPopServiceDomain',\
    CoPushServiceDomain,'CoPushServiceDomain',\
    CoQueryAuthenticationServices,'CoQueryAuthenticationServices',\
    CoQueryClientBlanket,'CoQueryClientBlanket',\
    CoQueryProxyBlanket,'CoQueryProxyBlanket',\
    CoQueryReleaseObject,'CoQueryReleaseObject',\
    CoReactivateObject,'CoReactivateObject',\
    CoRegisterActivationFilter,'CoRegisterActivationFilter',\
    CoRegisterChannelHook,'CoRegisterChannelHook',\
    CoRegisterClassObject,'CoRegisterClassObject',\
    CoRegisterInitializeSpy,'CoRegisterInitializeSpy',\
    CoRegisterMallocSpy,'CoRegisterMallocSpy',\
    CoRegisterMessageFilter,'CoRegisterMessageFilter',\
    CoRegisterPSClsid,'CoRegisterPSClsid',\
    CoRegisterSurrogate,'CoRegisterSurrogate',\
    CoRegisterSurrogateEx,'CoRegisterSurrogateEx',\
    CoReleaseMarshalData,'CoReleaseMarshalData',\
    CoReleaseServerProcess,'CoReleaseServerProcess',\
    CoResumeClassObjects,'CoResumeClassObjects',\
    CoRetireServer,'CoRetireServer',\
    CoRevertToSelf,'CoRevertToSelf',\
    CoRevokeClassObject,'CoRevokeClassObject',\
    CoRevokeInitializeSpy,'CoRevokeInitializeSpy',\
    CoRevokeMallocSpy,'CoRevokeMallocSpy',\
    CoSetCancelObject,'CoSetCancelObject',\
    CoSetMessageDispatcher,'CoSetMessageDispatcher',\
    CoSetProxyBlanket,'CoSetProxyBlanket',\
    CoSetState,'CoSetState',\
    CoSuspendClassObjects,'CoSuspendClassObjects',\
    CoSwitchCallContext,'CoSwitchCallContext',\
    CoTaskMemAlloc,'CoTaskMemAlloc',\
    CoTaskMemFree,'CoTaskMemFree',\
    CoTaskMemRealloc,'CoTaskMemRealloc',\
    CoTestCancel,'CoTestCancel',\
    CoTreatAsClass,'CoTreatAsClass',\
    CoUninitialize,'CoUninitialize',\
    CoUnloadingWOW,'CoUnloadingWOW',\
    CoUnmarshalHresult,'CoUnmarshalHresult',\
    CoUnmarshalInterface,'CoUnmarshalInterface',\
    CoVrfCheckThreadState,'CoVrfCheckThreadState',\
    CoVrfGetThreadState,'CoVrfGetThreadState',\
    CoVrfReleaseThreadState,'CoVrfReleaseThreadState',\
    CoWaitForMultipleHandles,'CoWaitForMultipleHandles',\
    CoWaitForMultipleObjects,'CoWaitForMultipleObjects',\
    CreateAntiMoniker,'CreateAntiMoniker',\
    CreateBindCtx,'CreateBindCtx',\
    CreateClassMoniker,'CreateClassMoniker',\
    CreateDataAdviseHolder,'CreateDataAdviseHolder',\
    CreateDataCache,'CreateDataCache',\
    CreateFileMoniker,'CreateFileMoniker',\
    CreateGenericComposite,'CreateGenericComposite',\
    CreateILockBytesOnHGlobal,'CreateILockBytesOnHGlobal',\
    CreateItemMoniker,'CreateItemMoniker',\
    CreateObjrefMoniker,'CreateObjrefMoniker',\
    CreateOleAdviseHolder,'CreateOleAdviseHolder',\
    CreatePointerMoniker,'CreatePointerMoniker',\
    CreateStdProgressIndicator,'CreateStdProgressIndicator',\
    CreateStreamOnHGlobal,'CreateStreamOnHGlobal',\
    CStdAsyncStubBuffer_AddRef,'CStdAsyncStubBuffer_AddRef',\
    CStdAsyncStubBuffer_Connect,'CStdAsyncStubBuffer_Connect',\
    CStdAsyncStubBuffer_Disconnect,'CStdAsyncStubBuffer_Disconnect',\
    CStdAsyncStubBuffer_Invoke,'CStdAsyncStubBuffer_Invoke',\
    CStdAsyncStubBuffer_QueryInterface,'CStdAsyncStubBuffer_QueryInterface',\
    CStdAsyncStubBuffer_Release,'CStdAsyncStubBuffer_Release',\
    CStdAsyncStubBuffer2_Connect,'CStdAsyncStubBuffer2_Connect',\
    CStdAsyncStubBuffer2_Disconnect,'CStdAsyncStubBuffer2_Disconnect',\
    CStdAsyncStubBuffer2_Release,'CStdAsyncStubBuffer2_Release',\
    CStdStubBuffer2_Connect,'CStdStubBuffer2_Connect',\
    CStdStubBuffer2_CountRefs,'CStdStubBuffer2_CountRefs',\
    CStdStubBuffer2_Disconnect,'CStdStubBuffer2_Disconnect',\
    CStdStubBuffer2_QueryInterface,'CStdStubBuffer2_QueryInterface',\
    DcomChannelSetHResult,'DcomChannelSetHResult',\
    DdeBindToObject,'DdeBindToObject',\
    DeletePatternAndExtensionTables,'DeletePatternAndExtensionTables',\
    DestroyRunningObjectTable,'DestroyRunningObjectTable',\
    DllDebugObjectRPCHook,'DllDebugObjectRPCHook',\
    DllGetClassObject,'DllGetClassObject',\
    DllGetClassObjectWOW,'DllGetClassObjectWOW',\
    DllRegisterServer,'DllRegisterServer',\
    DoDragDrop,'DoDragDrop',\
    DragDropSetFDT,'DragDropSetFDT',\
    EnableHookObject,'EnableHookObject',\
    FindExt,'FindExt',\
    FmtIdToPropStgName,'FmtIdToPropStgName',\
    FreePropVariantArray,'FreePropVariantArray',\
    GetActiveObjectExt,'GetActiveObjectExt',\
    GetClassFile,'GetClassFile',\
    GetConvertStg,'GetConvertStg',\
    GetDocumentBitStg,'GetDocumentBitStg',\
    GetHGlobalFromILockBytes,'GetHGlobalFromILockBytes',\
    GetHGlobalFromStream,'GetHGlobalFromStream',\
    GetHookInterface,'GetHookInterface',\
    GetObjectFromRotByPath,'GetObjectFromRotByPath',\
    GetRunningObjectTable,'GetRunningObjectTable',\
    HACCEL_UserFree,'HACCEL_UserFree',\
    HACCEL_UserFree64,'HACCEL_UserFree64',\
    HACCEL_UserMarshal,'HACCEL_UserMarshal',\
    HACCEL_UserMarshal64,'HACCEL_UserMarshal64',\
    HACCEL_UserSize,'HACCEL_UserSize',\
    HACCEL_UserSize64,'HACCEL_UserSize64',\
    HACCEL_UserUnmarshal,'HACCEL_UserUnmarshal',\
    HACCEL_UserUnmarshal64,'HACCEL_UserUnmarshal64',\
    HBITMAP_UserFree,'HBITMAP_UserFree',\
    HBITMAP_UserFree64,'HBITMAP_UserFree64',\
    HBITMAP_UserMarshal,'HBITMAP_UserMarshal',\
    HBITMAP_UserMarshal64,'HBITMAP_UserMarshal64',\
    HBITMAP_UserSize,'HBITMAP_UserSize',\
    HBITMAP_UserSize64,'HBITMAP_UserSize64',\
    HBITMAP_UserUnmarshal,'HBITMAP_UserUnmarshal',\
    HBITMAP_UserUnmarshal64,'HBITMAP_UserUnmarshal64',\
    HBRUSH_UserFree,'HBRUSH_UserFree',\
    HBRUSH_UserFree64,'HBRUSH_UserFree64',\
    HBRUSH_UserMarshal,'HBRUSH_UserMarshal',\
    HBRUSH_UserMarshal64,'HBRUSH_UserMarshal64',\
    HBRUSH_UserSize,'HBRUSH_UserSize',\
    HBRUSH_UserSize64,'HBRUSH_UserSize64',\
    HBRUSH_UserUnmarshal,'HBRUSH_UserUnmarshal',\
    HBRUSH_UserUnmarshal64,'HBRUSH_UserUnmarshal64',\
    HDC_UserFree,'HDC_UserFree',\
    HDC_UserFree64,'HDC_UserFree64',\
    HDC_UserMarshal,'HDC_UserMarshal',\
    HDC_UserMarshal64,'HDC_UserMarshal64',\
    HDC_UserSize,'HDC_UserSize',\
    HDC_UserSize64,'HDC_UserSize64',\
    HDC_UserUnmarshal,'HDC_UserUnmarshal',\
    HDC_UserUnmarshal64,'HDC_UserUnmarshal64',\
    HENHMETAFILE_UserFree,'HENHMETAFILE_UserFree',\
    HENHMETAFILE_UserFree64,'HENHMETAFILE_UserFree64',\
    HENHMETAFILE_UserMarshal,'HENHMETAFILE_UserMarshal',\
    HENHMETAFILE_UserMarshal64,'HENHMETAFILE_UserMarshal64',\
    HENHMETAFILE_UserSize,'HENHMETAFILE_UserSize',\
    HENHMETAFILE_UserSize64,'HENHMETAFILE_UserSize64',\
    HENHMETAFILE_UserUnmarshal,'HENHMETAFILE_UserUnmarshal',\
    HENHMETAFILE_UserUnmarshal64,'HENHMETAFILE_UserUnmarshal64',\
    HGLOBAL_UserFree,'HGLOBAL_UserFree',\
    HGLOBAL_UserFree64,'HGLOBAL_UserFree64',\
    HGLOBAL_UserMarshal,'HGLOBAL_UserMarshal',\
    HGLOBAL_UserMarshal64,'HGLOBAL_UserMarshal64',\
    HGLOBAL_UserSize,'HGLOBAL_UserSize',\
    HGLOBAL_UserSize64,'HGLOBAL_UserSize64',\
    HGLOBAL_UserUnmarshal,'HGLOBAL_UserUnmarshal',\
    HGLOBAL_UserUnmarshal64,'HGLOBAL_UserUnmarshal64',\
    HICON_UserFree,'HICON_UserFree',\
    HICON_UserFree64,'HICON_UserFree64',\
    HICON_UserMarshal,'HICON_UserMarshal',\
    HICON_UserMarshal64,'HICON_UserMarshal64',\
    HICON_UserSize,'HICON_UserSize',\
    HICON_UserSize64,'HICON_UserSize64',\
    HICON_UserUnmarshal,'HICON_UserUnmarshal',\
    HICON_UserUnmarshal64,'HICON_UserUnmarshal64',\
    HkOleRegisterObject,'HkOleRegisterObject',\
    HMENU_UserFree,'HMENU_UserFree',\
    HMENU_UserFree64,'HMENU_UserFree64',\
    HMENU_UserMarshal,'HMENU_UserMarshal',\
    HMENU_UserMarshal64,'HMENU_UserMarshal64',\
    HMENU_UserSize,'HMENU_UserSize',\
    HMENU_UserSize64,'HMENU_UserSize64',\
    HMENU_UserUnmarshal,'HMENU_UserUnmarshal',\
    HMENU_UserUnmarshal64,'HMENU_UserUnmarshal64',\
    HMETAFILE_UserFree,'HMETAFILE_UserFree',\
    HMETAFILE_UserFree64,'HMETAFILE_UserFree64',\
    HMETAFILE_UserMarshal,'HMETAFILE_UserMarshal',\
    HMETAFILE_UserMarshal64,'HMETAFILE_UserMarshal64',\
    HMETAFILE_UserSize,'HMETAFILE_UserSize',\
    HMETAFILE_UserSize64,'HMETAFILE_UserSize64',\
    HMETAFILE_UserUnmarshal,'HMETAFILE_UserUnmarshal',\
    HMETAFILE_UserUnmarshal64,'HMETAFILE_UserUnmarshal64',\
    HMETAFILEPICT_UserFree,'HMETAFILEPICT_UserFree',\
    HMETAFILEPICT_UserFree64,'HMETAFILEPICT_UserFree64',\
    HMETAFILEPICT_UserMarshal,'HMETAFILEPICT_UserMarshal',\
    HMETAFILEPICT_UserMarshal64,'HMETAFILEPICT_UserMarshal64',\
    HMETAFILEPICT_UserSize,'HMETAFILEPICT_UserSize',\
    HMETAFILEPICT_UserSize64,'HMETAFILEPICT_UserSize64',\
    HMETAFILEPICT_UserUnmarshal,'HMETAFILEPICT_UserUnmarshal',\
    HMETAFILEPICT_UserUnmarshal64,'HMETAFILEPICT_UserUnmarshal64',\
    HMONITOR_UserFree,'HMONITOR_UserFree',\
    HMONITOR_UserFree64,'HMONITOR_UserFree64',\
    HMONITOR_UserMarshal,'HMONITOR_UserMarshal',\
    HMONITOR_UserMarshal64,'HMONITOR_UserMarshal64',\
    HMONITOR_UserSize,'HMONITOR_UserSize',\
    HMONITOR_UserSize64,'HMONITOR_UserSize64',\
    HMONITOR_UserUnmarshal,'HMONITOR_UserUnmarshal',\
    HMONITOR_UserUnmarshal64,'HMONITOR_UserUnmarshal64',\
    HPALETTE_UserFree,'HPALETTE_UserFree',\
    HPALETTE_UserFree64,'HPALETTE_UserFree64',\
    HPALETTE_UserFreeExt,'HPALETTE_UserFreeExt',\
    HPALETTE_UserMarshal,'HPALETTE_UserMarshal',\
    HPALETTE_UserMarshal64,'HPALETTE_UserMarshal64',\
    HPALETTE_UserMarshalExt,'HPALETTE_UserMarshalExt',\
    HPALETTE_UserSize,'HPALETTE_UserSize',\
    HPALETTE_UserSize64,'HPALETTE_UserSize64',\
    HPALETTE_UserSizeExt,'HPALETTE_UserSizeExt',\
    HPALETTE_UserUnmarshal,'HPALETTE_UserUnmarshal',\
    HPALETTE_UserUnmarshal64,'HPALETTE_UserUnmarshal64',\
    HPALETTE_UserUnmarshalExt,'HPALETTE_UserUnmarshalExt',\
    HRGN_UserFree,'HRGN_UserFree',\
    HRGN_UserMarshal,'HRGN_UserMarshal',\
    HRGN_UserSize,'HRGN_UserSize',\
    HRGN_UserUnmarshal,'HRGN_UserUnmarshal',\
    HWND_UserFree,'HWND_UserFree',\
    HWND_UserFree64,'HWND_UserFree64',\
    HWND_UserFree64Ext,'HWND_UserFree64Ext',\
    HWND_UserFreeExt,'HWND_UserFreeExt',\
    HWND_UserMarshal,'HWND_UserMarshal',\
    HWND_UserMarshal64,'HWND_UserMarshal64',\
    HWND_UserMarshal64Ext,'HWND_UserMarshal64Ext',\
    HWND_UserMarshalExt,'HWND_UserMarshalExt',\
    HWND_UserSize,'HWND_UserSize',\
    HWND_UserSize64,'HWND_UserSize64',\
    HWND_UserSize64Ext,'HWND_UserSize64Ext',\
    HWND_UserSizeExt,'HWND_UserSizeExt',\
    HWND_UserUnmarshal,'HWND_UserUnmarshal',\
    HWND_UserUnmarshal64,'HWND_UserUnmarshal64',\
    HWND_UserUnmarshal64Ext,'HWND_UserUnmarshal64Ext',\
    HWND_UserUnmarshalExt,'HWND_UserUnmarshalExt',\
    IIDFromString,'IIDFromString',\
    IsAccelerator,'IsAccelerator',\
    IsEqualGUID,'IsEqualGUID',\
    IsRoInitializeASTAAllowedInDesktop,'IsRoInitializeASTAAllowedInDesktop',\
    IsValidIid,'IsValidIid',\
    IsValidInterface,'IsValidInterface',\
    IsValidPtrIn,'IsValidPtrIn',\
    IsValidPtrOut,'IsValidPtrOut',\
    MkParseDisplayName,'MkParseDisplayName',\
    MonikerCommonPrefixWith,'MonikerCommonPrefixWith',\
    MonikerLoadTypeLib,'MonikerLoadTypeLib',\
    MonikerRelativePathTo,'MonikerRelativePathTo',\
    NdrOleInitializeExtension,'NdrOleInitializeExtension',\
    NdrProxyForwardingFunction10,'NdrProxyForwardingFunction10',\
    NdrProxyForwardingFunction11,'NdrProxyForwardingFunction11',\
    NdrProxyForwardingFunction12,'NdrProxyForwardingFunction12',\
    NdrProxyForwardingFunction13,'NdrProxyForwardingFunction13',\
    NdrProxyForwardingFunction14,'NdrProxyForwardingFunction14',\
    NdrProxyForwardingFunction15,'NdrProxyForwardingFunction15',\
    NdrProxyForwardingFunction16,'NdrProxyForwardingFunction16',\
    NdrProxyForwardingFunction17,'NdrProxyForwardingFunction17',\
    NdrProxyForwardingFunction18,'NdrProxyForwardingFunction18',\
    NdrProxyForwardingFunction19,'NdrProxyForwardingFunction19',\
    NdrProxyForwardingFunction20,'NdrProxyForwardingFunction20',\
    NdrProxyForwardingFunction21,'NdrProxyForwardingFunction21',\
    NdrProxyForwardingFunction22,'NdrProxyForwardingFunction22',\
    NdrProxyForwardingFunction23,'NdrProxyForwardingFunction23',\
    NdrProxyForwardingFunction24,'NdrProxyForwardingFunction24',\
    NdrProxyForwardingFunction25,'NdrProxyForwardingFunction25',\
    NdrProxyForwardingFunction26,'NdrProxyForwardingFunction26',\
    NdrProxyForwardingFunction27,'NdrProxyForwardingFunction27',\
    NdrProxyForwardingFunction28,'NdrProxyForwardingFunction28',\
    NdrProxyForwardingFunction29,'NdrProxyForwardingFunction29',\
    NdrProxyForwardingFunction3,'NdrProxyForwardingFunction3',\
    NdrProxyForwardingFunction30,'NdrProxyForwardingFunction30',\
    NdrProxyForwardingFunction31,'NdrProxyForwardingFunction31',\
    NdrProxyForwardingFunction32,'NdrProxyForwardingFunction32',\
    NdrProxyForwardingFunction4,'NdrProxyForwardingFunction4',\
    NdrProxyForwardingFunction5,'NdrProxyForwardingFunction5',\
    NdrProxyForwardingFunction6,'NdrProxyForwardingFunction6',\
    NdrProxyForwardingFunction7,'NdrProxyForwardingFunction7',\
    NdrProxyForwardingFunction8,'NdrProxyForwardingFunction8',\
    NdrProxyForwardingFunction9,'NdrProxyForwardingFunction9',\
    ObjectStublessClient10,'ObjectStublessClient10',\
    ObjectStublessClient11,'ObjectStublessClient11',\
    ObjectStublessClient12,'ObjectStublessClient12',\
    ObjectStublessClient13,'ObjectStublessClient13',\
    ObjectStublessClient14,'ObjectStublessClient14',\
    ObjectStublessClient15,'ObjectStublessClient15',\
    ObjectStublessClient16,'ObjectStublessClient16',\
    ObjectStublessClient17,'ObjectStublessClient17',\
    ObjectStublessClient18,'ObjectStublessClient18',\
    ObjectStublessClient19,'ObjectStublessClient19',\
    ObjectStublessClient20,'ObjectStublessClient20',\
    ObjectStublessClient21,'ObjectStublessClient21',\
    ObjectStublessClient22,'ObjectStublessClient22',\
    ObjectStublessClient23,'ObjectStublessClient23',\
    ObjectStublessClient24,'ObjectStublessClient24',\
    ObjectStublessClient25,'ObjectStublessClient25',\
    ObjectStublessClient26,'ObjectStublessClient26',\
    ObjectStublessClient27,'ObjectStublessClient27',\
    ObjectStublessClient28,'ObjectStublessClient28',\
    ObjectStublessClient29,'ObjectStublessClient29',\
    ObjectStublessClient3,'ObjectStublessClient3',\
    ObjectStublessClient30,'ObjectStublessClient30',\
    ObjectStublessClient31,'ObjectStublessClient31',\
    ObjectStublessClient32,'ObjectStublessClient32',\
    ObjectStublessClient4,'ObjectStublessClient4',\
    ObjectStublessClient5,'ObjectStublessClient5',\
    ObjectStublessClient6,'ObjectStublessClient6',\
    ObjectStublessClient7,'ObjectStublessClient7',\
    ObjectStublessClient8,'ObjectStublessClient8',\
    ObjectStublessClient9,'ObjectStublessClient9',\
    Ole32DllGetClassObject,'Ole32DllGetClassObject',\
    OleBuildVersion,'OleBuildVersion',\
    OleConvertIStorageToOLESTREAM,'OleConvertIStorageToOLESTREAM',\
    OleConvertIStorageToOLESTREAMEx,'OleConvertIStorageToOLESTREAMEx',\
    OleConvertOLESTREAMToIStorage,'OleConvertOLESTREAMToIStorage',\
    OleConvertOLESTREAMToIStorageEx,'OleConvertOLESTREAMToIStorageEx',\
    OleCreate,'OleCreate',\
    OleCreateDefaultHandler,'OleCreateDefaultHandler',\
    OleCreateEmbeddingHelper,'OleCreateEmbeddingHelper',\
    OleCreateEx,'OleCreateEx',\
    OleCreateFontIndirectExt,'OleCreateFontIndirectExt',\
    OleCreateFromData,'OleCreateFromData',\
    OleCreateFromDataEx,'OleCreateFromDataEx',\
    OleCreateFromFile,'OleCreateFromFile',\
    OleCreateFromFileEx,'OleCreateFromFileEx',\
    OleCreateLink,'OleCreateLink',\
    OleCreateLinkEx,'OleCreateLinkEx',\
    OleCreateLinkFromData,'OleCreateLinkFromData',\
    OleCreateLinkFromDataEx,'OleCreateLinkFromDataEx',\
    OleCreateLinkToFile,'OleCreateLinkToFile',\
    OleCreateLinkToFileEx,'OleCreateLinkToFileEx',\
    OleCreateMenuDescriptor,'OleCreateMenuDescriptor',\
    OleCreatePictureIndirectExt,'OleCreatePictureIndirectExt',\
    OleCreatePropertyFrameIndirectExt,'OleCreatePropertyFrameIndirectExt',\
    OleCreateStaticFromData,'OleCreateStaticFromData',\
    OleDestroyMenuDescriptor,'OleDestroyMenuDescriptor',\
    OleDoAutoConvert,'OleDoAutoConvert',\
    OleDraw,'OleDraw',\
    OleDuplicateData,'OleDuplicateData',\
    OleFlushClipboard,'OleFlushClipboard',\
    OleGetAutoConvert,'OleGetAutoConvert',\
    OleGetClipboard,'OleGetClipboard',\
    OleGetIconOfClass,'OleGetIconOfClass',\
    OleGetIconOfFile,'OleGetIconOfFile',\
    OleGetPackageClipboardOwner,'OleGetPackageClipboardOwner',\
    OleIconToCursorExt,'OleIconToCursorExt',\
    OleInitialize,'OleInitialize',\
    OleInitializeWOW,'OleInitializeWOW',\
    OleIsCurrentClipboard,'OleIsCurrentClipboard',\
    OleIsRunning,'OleIsRunning',\
    OleLoad,'OleLoad',\
    OleLoadFromStream,'OleLoadFromStream',\
    OleLoadPictureExt,'OleLoadPictureExt',\
    OleLoadPictureFileExt,'OleLoadPictureFileExt',\
    OleLoadPicturePathExt,'OleLoadPicturePathExt',\
    OleLockRunning,'OleLockRunning',\
    OleMetafilePictFromIconAndLabel,'OleMetafilePictFromIconAndLabel',\
    OleNoteObjectVisible,'OleNoteObjectVisible',\
    OleQueryCreateFromData,'OleQueryCreateFromData',\
    OleQueryLinkFromData,'OleQueryLinkFromData',\
    OleRegEnumFormatEtc,'OleRegEnumFormatEtc',\
    OleRegEnumVerbs,'OleRegEnumVerbs',\
    OleRegGetMiscStatus,'OleRegGetMiscStatus',\
    OleRegGetUserType,'OleRegGetUserType',\
    OleReleaseEnumVerbCache,'OleReleaseEnumVerbCache',\
    OleRun,'OleRun',\
    OleSave,'OleSave',\
    OleSavePictureFileExt,'OleSavePictureFileExt',\
    OleSaveToStream,'OleSaveToStream',\
    OleSetAutoConvert,'OleSetAutoConvert',\
    OleSetClipboard,'OleSetClipboard',\
    OleSetContainedObject,'OleSetContainedObject',\
    OleSetMenuDescriptor,'OleSetMenuDescriptor',\
    OleTranslateAccelerator,'OleTranslateAccelerator',\
    OleTranslateColorExt,'OleTranslateColorExt',\
    OleUninitialize,'OleUninitialize',\
    OpenOrCreateStream,'OpenOrCreateStream',\
    ProgIDFromCLSID,'ProgIDFromCLSID',\
    PropStgNameToFmtId,'PropStgNameToFmtId',\
    PropSysAllocString,'PropSysAllocString',\
    PropSysFreeString,'PropSysFreeString',\
    PropVariantChangeType,'PropVariantChangeType',\
    PropVariantClear,'PropVariantClear',\
    PropVariantCopy,'PropVariantCopy',\
    ReadClassStg,'ReadClassStg',\
    ReadClassStm,'ReadClassStm',\
    ReadFmtUserTypeStg,'ReadFmtUserTypeStg',\
    ReadOleStg,'ReadOleStg',\
    ReadStorageProperties,'ReadStorageProperties',\
    ReadStringStream,'ReadStringStream',\
    RegisterActiveObjectExt,'RegisterActiveObjectExt',\
    RegisterDragDrop,'RegisterDragDrop',\
    ReleaseStgMedium,'ReleaseStgMedium',\
    RevokeActiveObjectExt,'RevokeActiveObjectExt',\
    RevokeDragDrop,'RevokeDragDrop',\
    RoGetAgileReference,'RoGetAgileReference',\
    SetConvertStg,'SetConvertStg',\
    SetDocumentBitStg,'SetDocumentBitStg',\
    SetOleautModule,'SetOleautModule',\
    SetWOWThunkGlobalPtr,'SetWOWThunkGlobalPtr',\
    SNB_UserFree,'SNB_UserFree',\
    SNB_UserFree64,'SNB_UserFree64',\
    SNB_UserMarshal,'SNB_UserMarshal',\
    SNB_UserMarshal64,'SNB_UserMarshal64',\
    SNB_UserSize,'SNB_UserSize',\
    SNB_UserSize64,'SNB_UserSize64',\
    SNB_UserUnmarshal,'SNB_UserUnmarshal',\
    SNB_UserUnmarshal64,'SNB_UserUnmarshal64',\
    StdTypesGetClassObject,'StdTypesGetClassObject',\
    StdTypesRegisterServer,'StdTypesRegisterServer',\
    StgConvertPropertyToVariant,'StgConvertPropertyToVariant',\
    StgConvertVariantToProperty,'StgConvertVariantToProperty',\
    StgCreateDocfile,'StgCreateDocfile',\
    StgCreateDocfileOnILockBytes,'StgCreateDocfileOnILockBytes',\
    StgCreatePropSetStg,'StgCreatePropSetStg',\
    StgCreatePropStg,'StgCreatePropStg',\
    StgCreateStorageEx,'StgCreateStorageEx',\
    StgGetIFillLockBytesOnFile,'StgGetIFillLockBytesOnFile',\
    StgGetIFillLockBytesOnILockBytes,'StgGetIFillLockBytesOnILockBytes',\
    StgIsStorageFile,'StgIsStorageFile',\
    StgIsStorageILockBytes,'StgIsStorageILockBytes',\
    STGMEDIUM_UserFree,'STGMEDIUM_UserFree',\
    STGMEDIUM_UserFree64,'STGMEDIUM_UserFree64',\
    STGMEDIUM_UserFreeExt,'STGMEDIUM_UserFreeExt',\
    STGMEDIUM_UserMarshal,'STGMEDIUM_UserMarshal',\
    STGMEDIUM_UserMarshal64,'STGMEDIUM_UserMarshal64',\
    STGMEDIUM_UserMarshalExt,'STGMEDIUM_UserMarshalExt',\
    STGMEDIUM_UserSize,'STGMEDIUM_UserSize',\
    STGMEDIUM_UserSize64,'STGMEDIUM_UserSize64',\
    STGMEDIUM_UserSizeExt,'STGMEDIUM_UserSizeExt',\
    STGMEDIUM_UserUnmarshal,'STGMEDIUM_UserUnmarshal',\
    STGMEDIUM_UserUnmarshal64,'STGMEDIUM_UserUnmarshal64',\
    STGMEDIUM_UserUnmarshalExt,'STGMEDIUM_UserUnmarshalExt',\
    StgOpenAsyncDocfileOnIFillLockBytes,'StgOpenAsyncDocfileOnIFillLockBytes',\
    StgOpenPropStg,'StgOpenPropStg',\
    StgOpenStorage,'StgOpenStorage',\
    StgOpenStorageEx,'StgOpenStorageEx',\
    StgOpenStorageOnHandle,'StgOpenStorageOnHandle',\
    StgOpenStorageOnILockBytes,'StgOpenStorageOnILockBytes',\
    StgPropertyLengthAsVariant,'StgPropertyLengthAsVariant',\
    StgSetTimes,'StgSetTimes',\
    StringFromCLSID,'StringFromCLSID',\
    StringFromGUID2,'StringFromGUID2',\
    StringFromIID,'StringFromIID',\
    UpdateDCOMSettings,'UpdateDCOMSettings',\
    UpdateProcessTracing,'UpdateProcessTracing',\
    UtConvertDvtd16toDvtd32,'UtConvertDvtd16toDvtd32',\
    UtConvertDvtd32toDvtd16,'UtConvertDvtd32toDvtd16',\
    UtGetDvtd16Info,'UtGetDvtd16Info',\
    UtGetDvtd32Info,'UtGetDvtd32Info',\
    WdtpInterfacePointer_UserFree,'WdtpInterfacePointer_UserFree',\
    WdtpInterfacePointer_UserFree64,'WdtpInterfacePointer_UserFree64',\
    WdtpInterfacePointer_UserMarshal,'WdtpInterfacePointer_UserMarshal',\
    WdtpInterfacePointer_UserMarshal64,'WdtpInterfacePointer_UserMarshal64',\
    WdtpInterfacePointer_UserSize,'WdtpInterfacePointer_UserSize',\
    WdtpInterfacePointer_UserSize64,'WdtpInterfacePointer_UserSize64',\
    WdtpInterfacePointer_UserUnmarshal,'WdtpInterfacePointer_UserUnmarshal',\
    WdtpInterfacePointer_UserUnmarshal64,'WdtpInterfacePointer_UserUnmarshal64',\
    WriteClassStg,'WriteClassStg',\
    WriteClassStm,'WriteClassStm',\
    WriteFmtUserTypeStg,'WriteFmtUserTypeStg',\
    WriteOleStg,'WriteOleStg',\
    WriteStorageProperties,'WriteStorageProperties',\
    WriteStringStream,'WriteStringStream'
end if

end if ;OLE32_INC
